Bug 40984 - Join script is called with wrong parameters
Join script is called with wrong parameters
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P1 normal (vote)
: UCS 4.1-1-errata
Assigned To: Dirk Wiesenthal
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-04 13:29 CEST by Dirk Wiesenthal
Modified: 2016-04-13 14:57 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2016-04-04 13:29:17 CEST
When installing an App, the $app.inst join script is called with

 -dcname=$username
 -dcpwd=$passwordfile

But these arguments are for univention-run-join-scripts, not for the actual join script. As done in univention-run-join-scripts, the script should be called with

 --binddn=$userdn
 --bindpwd=$password

As these are normally just passed to UDM, one could use --bindpwdfile, but we should stick to the univention-run-join-scripts.
Comment 1 Dirk Wiesenthal univentionstaff 2016-04-04 13:30:54 CEST
This lets joinscripts fail on systems != DC Master. The joinscript can then be called by the Join module, so nothing is broken. But this should really be fixed in the App Center.
Comment 2 Dirk Wiesenthal univentionstaff 2016-04-12 01:24:18 CEST
Using univention-run-join-scripts to actually run join scripts instead of calling the script directly

  univention-appcenter 5.0.20-39.152.201604120121
Comment 3 Florian Best univentionstaff 2016-04-12 14:23:25 CEST
OK: now all joinscripts are executed using univention-run-join-scripts (the progressbar contains then also messages like running joinscript UVMM...)
OK: YAML

For non-docker apps there are adaptions required. Please clone this bug.
Comment 4 Janek Walkenhorst univentionstaff 2016-04-13 14:57:41 CEST
<http://errata.software-univention.de/ucs/4.1/146.html>